import JolkEngine


protocol Scene
{
	mutating func setup(render: inout Renderer)
	mutating func loadContent(content: inout ContentManager) throws
	mutating func update(deltaTime: Float)
	func draw(render: inout Renderer, deltaTime: Float, aspectRatio aspect: Float)
}
